﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace WAZSMApiClient
{
    public static class RestApiHelper
    {
        private const string x_ms_version_name = "x-ms-version";
        private const string x_ms_version_value = "2012-03-01";

        public static async Task<string> ProcessGetRequest(Uri requestUri)
        {
            HttpClientHandler aHandler = new HttpClientHandler();
            aHandler.ClientCertificateOptions = ClientCertificateOption.Automatic;
            HttpClient aClient = new HttpClient(aHandler);
            aClient.DefaultRequestHeaders.Add(x_ms_version_name, x_ms_version_value);
            HttpRequestMessage request = new HttpRequestMessage(HttpMethod.Get, requestUri);
            var result = await aClient.GetAsync(requestUri, HttpCompletionOption.ResponseContentRead);
            var responseBody = await result.Content.ReadAsStringAsync();
            return responseBody;
        }
    }
}
